On Thu, Feb 22, 2018 at 03:52:13PM -0500, Mark H Weaver wrote:
> One of these two commits seem to have broken the 'ffmpeg-git' build,
> needed by 'mpv', on my x86_64 GuixSD system.  Here's an excerpt of the
> failed log:
> 
> --8<---------------cut here---------------start------------->8---
> CC      libavcodec/libvpx.o
> CC      libavcodec/libvpxdec.o
> CC      libavcodec/libvpxenc.o
> CC      libavcodec/libx264.o
> libavcodec/libx264.c: In function ‘X264_frame’:
> libavcodec/libx264.c:282:9: error: ‘x264_bit_depth’ undeclared (first use in 
> this function)
>      if (x264_bit_depth > 8)
>          ^
> libavcodec/libx264.c:282:9: note: each undeclared identifier is reported only 
> once for each function it appears in
> libavcodec/libx264.c: In function ‘X264_init_static’:
> libavcodec/libx264.c:876:9: error: ‘x264_bit_depth’ undeclared (first use in 
> this function)
>      if (x264_bit_depth == 8)
>          ^
> make: *** [ffbuild/common.mak:60: libavcodec/libx264.o] Error 1
> make: *** Waiting for unfinished jobs....
> phase `build' failed after 340.6 seconds
> note: keeping build directory 
> `/tmp/guix-build-ffmpeg-git-3.4-1.3f8874406.drv-0'
> builder for 
> `/gnu/store/wka754abrdiwi481qgiprhwh67q2n3ih-ffmpeg-git-3.4-1.3f8874406.drv' 
> failed with exit code 1
> cannot build derivation 
> `/gnu/store/9ddbwwzzdl30fx26sv4jsnmg3ddklqap-mpv-0.28.2.drv': 1 dependencies 
> couldn't be built
> guix package: error: build failed: build of 
> `/gnu/store/9ddbwwzzdl30fx26sv4jsnmg3ddklqap-mpv-0.28.2.drv' failed
> --8<---------------cut here---------------end--------------->8---

I can't reproduce this since commit bb2a95580e1db (gnu: libx264: Change
to stable branch).

Attachment: signature.asc
Description: PGP signature

Reply via email to